<script lang="ts">
	import CardButton from '../ui/CardButton.svelte';
	import { support } from '../provider/dataConfig.json';
	import PriceLabel from '../ui/PriceLabel.svelte';

	export let value: string;

	let setValue = function (newValue: string): void {
		value = newValue;
	};
</script>

<div class="row mb-3">
	{#each support.options as supportOption}
		<div class="col-md-6 mb-2">
			<CardButton
				heading={supportOption.name}
				multipleSelect={false}
				active={value === supportOption.id}
				faded={value !== null && value != supportOption.id}
				on:activated={() => setValue(supportOption.id)}
			>
				<div slot="card-body-content">
					<div class="d-flex justify-content-between">
						<p class="mb-1">
							{@html supportOption.description}
							<br />
							{@html supportOption.description_2}
						</p>

						<div>
							<PriceLabel price={supportOption.price} />
						</div>
					</div>

				</div>

				<div slot="after-card-body">
					<div
						class="card-footer text-center bg-transparent"
						class:text-warning={supportOption.id === "basic"}
						class:text-success={supportOption.id === "dedicated"}
					>
						<strong>{supportOption.footerText}</strong>
					</div>
				</div>
			</CardButton>
		</div>
	{/each}
</div>

<p class="text-muted">
	To learn more about the different support levels, see our dedicated <a href="/services/support">Support</a> page.
</p>
